[[post_data {
    "author" : "KyMAN",
    "since" : 20220320,
    "version" : 20220320
}]]
# KStats.ecma.js

```txt
/Public/ecma/KStats.ecma.js
```

## [[plain KStats.default_value]]

[[wdoc
Método object.
@name       KStats.default_value
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       a1841f42c4352bb7f9f7bb87f89ff6fb
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain KStats.settings]]

[[wdoc
Método object.
@name       KStats.settings
@see        KStats.default_value
@see        KStats.settings
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       97e5deffc108b21fd26d5aa45248e1e0
#names	- optional Parámetro names
#inputs	- optional Parámetro inputs
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain KStats.load]]

[[wdoc
Método object.
@name       KStats.load
@see        KStats.settings
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       5d29594ed33dec2bfa759d0f4dc71d16
#url	- optional Parámetro url
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain KStats.settings_add_i]]

[[wdoc
Método object.
@name       KStats.settings_add_i
@see        KStats.settings_add_i
@see        KStats.load
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     private
@hash       f91128cfea61bf0ad16c2d04ba1a1822
#items	- optional Parámetro items
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
#i	- optional Parámetro i
]]

## [[plain KStats.settings_add]]

[[wdoc
Método object.
@name       KStats.settings_add
@see        KStats.settings_add_i
@see        KStats.settings
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       e6787641e9592c9293090db05ce49585
#items	- optional Parámetro items
#overwrite	- optional Parámetro overwrite
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain KStats.threads_method]]

[[wdoc
Método object.
@name       KStats.threads_method
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     private
@hash       ab9bbde1ed980d410067bd829ca8d957
#return	- - Retorno.
]]

## [[plain KStats.threads_start]]

[[wdoc
Método object.
@name       KStats.threads_start
@see        KStats.settings
@see        KStats.threads_method
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       1090cef55ff368e19f68fb0f13262eb0
#return	- - Retorno.
]]

## [[plain KStats.threads_stop]]

[[wdoc
Método object.
@name       KStats.threads_stop
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       c1b6d79c278d28a090faf96255fa0c34
]]

## [[plain KStats.threads_add]]

[[wdoc
Método object.
@name       KStats.threads_add
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       7b36976fb1531ed998a2a76196d98172
#method	- optional Parámetro method
#return	- - Retorno.
]]

## [[plain KStats.threads_remove]]

[[wdoc
Método object.
@name       KStats.threads_remove
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       e005119bc808e1eefdbfec228fac6441
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain KStats.string_variables]]

[[wdoc
Método object.
@name       KStats.string_variables
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       e372ccebccaf8f8d06c24f79d629e7a6
#string	- optional Parámetro string
#variables	- optional Parámetro variables
#_default	- optional Parámetro _default
]]

## [[plain KStats.update]]

[[wdoc
Método object.
@name       KStats.update
@see        KStats.load
@see        KStats.string_variables
@see        KStats.settings
@see        KStats.update
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     private
@hash       735287af679b35ef121b59e52ba3dbab
#return	- - Retorno.
]]

## [[plain KStats.register_event]]

[[wdoc
Método object.
@name       KStats.register_event
@see        KStats.update
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     private
@hash       b6094c4945ffa697ddde38d0158e4f7e
]]

## [[plain KStats.start]]

[[wdoc
Método object.
@name       KStats.start
@see        KStats.settings_add
@see        KStats.settings
@see        KStats.threads_start
@see        KStats.threads_add
@see        KStats.register_event
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     public
@hash       0414214855b51d79636becf6f5b3bdc1
]]

## [[plain KStats.construct]]

[[wdoc
Método object.
@name       KStats.construct
@see        KStats.settings
@see        KStats.start
@lang       ECMAScript
@author     KyMAN
@since      20220320
@version    20220320
@access     private
@hash       88422b1f098ab1ff14b3b73c5b3f48f5
]]

[[html_data {
    "title" : "KStats.ecma.js - KStats",
    "url" : "https://kstats.k3y.pw/Public/ecma/KStats.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20220320,
    "version" : 20220320,
    "key_words" : "contact,book,contact book,kyman,secrets,notes,developt,desarrollo,programación,cma",
    "description" : "KStats.ecma.js del KStats.",
    "project" : "KStats",
    "logo" : "/images/KStats.png",
    "language" : "es"
}]]
