[[post_data {
    "author" : "KyMAN",
    "since" : 20220320,
    "version" : 20220402
}]]
# Objetivos

En esta sección se mostrarán los objetivos a llevar a cabo dentro de este proyecto. Todos ellos
serán realizados por KyMAN.

- [X] Crear proyecto y base del mismo.
- [X] Crear base de datos con el procedimiento almacenado de inserción de registro.
- [X] Crear entorno servidor en PHP. Intentar capturar la URL desde el propio PHP y gestionar
sesión en entorno servidor.
- [X] Añadir campo de habilitado o deshabilitado a los Tokens.
- [X] Añadir campo de comprobación de URLs para evitar que cojan el Token para registrar sitios
no esperados.
- [X] Probar entorno CORS contra CSS.
- [X] Crear lado privado de los Tokens para coger los datos de los Tokens públicos.
    - *Un Token privado puede tener más de un Token público.*
    - *Un Token público no tiene porqué tener un Token privado.*
- [X] Añadir campo Observaciones a los Tokens.
- [X] Cambiar método de registro mediante ECMA/JS vía CORS.
- [-] Programar automatismo de Geolocalización de IPs.
    - https://api.iplocation.net/
    - [-] Analizar los datos de las URLs de geolocalización añadidas a
    https://kyman.k3y.pw/wlog/info.html#Geolocation.
- [X] Publicar versión funcional del proyecto.
- [-] Documentar.
- [-] Adaptar la documentación a que se genere en el servidor y mantener estadísticas de desarrollo
en el GitLab.
- [X] Arreglar Bug 2022040200.

[[html_data {
    "title" : "KStats - Objetivos",
    "url" : "https://kstats.k3y.pw/es/targets.html",
    "author" : "KyMAN",
    "since" : 20220320,
    "version" : 20220402,
    "key_words" : "kstats,stats,statistics,kyman,wmd,wmarkdown,documentación,targets,objetivos",
    "description" : "Objetivos del proyecto KStats.",
    "project" : "KStats",
    "logo" : "https://kstats.k3y.pw/images/KStats.png",
    "language" : "es"
}]]
